Add commentPOST

Description

Adds a comment to a task.

Permissions

The API token needs the Add comments permission.

Request format

curl -X POST https://kanbanflow.com/api/v1/tasks/<TASK_ID>/comments -H "Content-type: application/json"
 -d '{ "<PROPERTY_1>": <PROPERTY_VALUE_1>, "<PROPERTY_2>": <PROPERTY_VALUE_2>, ... "<PROPERTY_N>": <PROPERTY_VALUE_N> }'

Example request

curl -X POST https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/comments -H "Content-type: application/json"
 -d '{ "text": "Lorem ipsum dolor sit amet" }'

Example response

{
    "taskCommentId": "C9LIn5sEEpqT"
}

Valid properties

PropertyTypeComment
textStringRequired. The comment text.
authorUserIdStringThe ID of the comment author. See Get members for information about how to get a member's ID. Not allowed for personal API tokens. The author is always the user that the token belongs to. Default: The API user's ID.
createdTimestampStringThe UTC timestamp for when the comment was created, for example 2023-12-31T00:00:00.000Z. Not allowed for personal API tokens. Default: The current time.